KVideoEncoder
Video
Score 81%
Description:

KVideoEncoder is a GUI for the mencoder and transcode;

my goal is to write a kind of TMPGEnc Clone for linux with additional features.
For example, KVideoEncoder supports joining of two or more videos and dvd-ripping.
Last changelog:

12 years ago

Sorry everybody, but I just don't have the time to work on KVideoEncoder at the moment.
0.09 should came with a new dvd reading engine, build with some great patches I've received and some other new features, but...
I've uploaded the current status for you, maybe dvd-reading is broken on some systems, but the annoying language bug is fixed.

I've got much to do now (work, etc) and this is the moment where the OSS-thing become important.
I've got space for a website and a CVS at sourceforge, maybe somebody could help me to set these things up? And maybe we could continue developing KVideoEncoder together.

Changes (0.09beta2):
===================
- Added support for UTF-8
- Language bug fixed

Changes (0.08):
==================
* 1 Bugfix
* Some minor improvements (thanks to Алексей Кузнецов)
* Crop filter added
* Translations updated
* Czech translation (thanks to Robert Stodulka)

Changes (rc2):
===================
* file encoding repaired (mencoder).

Changes (rc1):
===================
* Nine bugfixes, including:
- #25: DVD-ripping repaired (mencoder).
- #26: MPEG-Encoding should work with the new versions of mencoder.
- #29-31: Some crashes fixed.
- #32: Xvid multipass encoding repaired (mencoder).
- #34: No crash if your PC/notebook doesn't have any IDE devices.
* Audio PCM encoding
* Error handling (mencoder)
* Some design improvements
* Some improvements related to the configure script and the makefile.
* transcode improvements
* New Tool: FLV2MPEG

==========================
Please note that transcode may not work when you try it. The problem is, that - for example - you've round about five different ways to encode an MPEG file; which one the right for is depends on your transcode installation and the installed modules.
KVideoEncoder must deal with this problems but that doesn't work very good at the moment. I'm working on it and I hope that you can help me (write comments, etc).

koronation

8 years ago

Hi, for Mandriva 2009.1 is here:

http://www.2shared.com/file/6376914/484035a8/kvideoencoder-008rr01-2mdv20091i586.html

Report

jessgwiii

9 years ago

Wanted to Encode DVD's with VCD Quality MPegs(for saving my old VHS tapes). Been Using Avidemux, but I have to encode twice, once in DVD format(for the Audio 48000Hz, Resamplers do not work well) and once in VCD format.
Then I had to split the video's with TMPEGEnc using Wine(MPEG Tools Work really good with Wine).
Your program enabled me to encode a movie with VCD quality Video and DVD quality sound saving(you have no idea how much) a lot of time.
Then I use it to De-Multiplex the video as well. Now I don't have to load the buggy TMPEGEnc under Wine anymore or use Avidemux.
But yeah that darn language change is annoying, but by far less then Wine.

Thanks Again!

Report

BorgQueen

9 years ago

I have a friend with a Sandisk Fuzz, but can't find a converter so he can watch videos on it.
Would it be possible to add a default profile for this device and other sandisk devices that are said to be linux compatible by the company? I'm asking all the video converter devels, in hope that someone will consider it.

We would greatly appreciate it.

Video Container: Fully interleaved AVI
Codec: MPEG-4 (Simple Profile level 1 or 2)
Bitrate: Up to 512 Kbps
Resolutions: QCIF+ (224x176)
FPS: Up to 20 fps
bitrate:128kbps
no. of channels:2
sample rate:44100khz

Report

jessgwiii

9 years ago

If I'm not mistaken that is the same profile as the PSP. You might want to try Avidemux it has many diff settings you can convert too even the Automatic profiles you are looking for including Ipod. You might want to check http://rpm.pbone.net/ for your distro. It has a cool function that scans your kernel for dependencies, then just search and download all of those dependencies, install and then your set. If you use a Debian type Distro then you will have to search for it and a way to install it.

Good Luck!

Report

chandraiitk

10 years ago

hi, I have a small request about this app and I think it can improve usability of it.

1. In Output--->Video Codec---->MPEG+DVD option--->Framerate, even if I choose 29.97 fps, it shows 30 fps once I start encoding a video. Could you please fix it because this is the framerate widely adopted in DVD format videos.

2. In the Output--->Audio Codec section, the encoding is not possible in AC3 format, what is again a well-known format for DVDs. Could u please add the AC3 encoding option also.

Thanks!

Report

pejakm

10 years ago

Nice app, but still needs to be worked on.
And every time I run any of the dialog it switches to Czech language.

However, there's Mandriva 2007 rpm:
http://pejakm.googlepages.com/kvideoencoder-0.08-pm2007.0.rpm

Report

insulae

10 years ago

i can convert DV files to MPEG2 with this apps?

Report

C

mf2

10 years ago

Yes, if your version of mencoder has been compiled with DV and MPEG2 support - try it out.

Report

insulae

10 years ago

Ok! i will try, thanks for the info.

Report

SWaN

10 years ago

I have to add

Quote:#include ".ui/preferences.h"

to mainform.ui.h to make it compile on Kubuntu Feisty, or the following error occurres (already seen on these pages):

Quote:.ui/../mainform.ui.h: In member function 'virtual void Form1::toolsPreferencesAction_activated()':
.ui/../mainform.ui.h:838: error: 'preferencesWnd' was not declared in this scope
.ui/../mainform.ui.h:838: error: 'prefDlg' was not declared in this scope
.ui/../mainform.ui.h:838: error: expected type-specifier before 'preferencesWnd'
.ui/../mainform.ui.h:838: error: expected `;' before 'preferencesWnd'
.ui/../mainform.ui.h:862: error: type '<type error>' argument given to 'delete', expected pointer

Report

rwreed

10 years ago

This is a great utility. It is the only program that I could find that actually has the audio in sync. I got a file off my tivo that has been particularly resistant to transcoding. Other programs failed keep audio in sync, but this one did it. Thanks.

Just one thing though, it would be great if there was a CLI version so I could run it in a script, or if there was a log that indicated how you constructed the transcode and mencoder commands.

Report

Raven24

10 years ago

I really like the program, but I would even like it more, if there would be a possibility to have the output in ogg format.
Also, I think, it would be great to add a field which enables the user to convert more than one video - like "batch conversion"...

Report

ih8windoze

10 years ago

This is a great app, but when I try to scan for a dvd, it crashes. I can post the backtrace if needed.

Report

gohanz

10 years ago

A Slackware 11.0 package with SlackBuild is ready to download!


http://www.slacky.it/index.php?option=com_remository&Itemid=29&id=882&func=fileinfo

Report

shevegen

10 years ago

no rule to make target `/usr/share/qt3/mkspecs/default/qmake.conf', needed by `Makefile'



On my system, qt3 is on

/usr/qt3


Any chance to fix this error?

Report

Raven24

10 years ago

symlink?

Report

BorgQueen

10 years ago

Its a much smoother performance, and there's a mild improvement in video quality too. Well done.

Report

gohanz

11 years ago

A Slackware 11.0 package with SlackBuild is ready to download!


www.slacky.it


http://www.slacky.it/index.php?option=com_remository&Itemid=29&func=fileinfo&id=882

Report

chandraiitk

11 years ago

But konsole output shows:

sh: pidof: command not found


I dont know it it affects something or not. I am mentioning if something unexpected is going on.

Report

C

mf2

11 years ago

Hm, that means that the Cancel button won't work for you.

Report

chandraiitk

11 years ago

u r wrong ;) Cancel button did work [I was in middle of encoding one video and then pressed the cancel button and the encoding was canceled ]

Report

eprparadocs

11 years ago

I have a very recent copy of QT on my system - 4.1.4. As a result I get the following from ./configure:

Creating: src/Makefile
uic: File generated with too old version of Qt Designer


Can you tell me how I correct this problem?

Peace,
CHaz.

Report

C

mf2

11 years ago

Hello,

you need to install the Qt package which let you compile Qt 3.x apps with Qt 4.x installed. On (K)ubuntu this package is called libqt4-qt3support.

Hope that helps.

Report

cwegrzyn

11 years ago

Do you know what the trick might be under Gentoo?

Peace.

Report

C

mf2

11 years ago

Hm...try to install the Qt 3 development files, but only if this don't mess up your system.

Report

12 years ago

Sorry everybody, but I just don't have the time to work on KVideoEncoder at the moment.
0.09 should came with a new dvd reading engine, build with some great patches I've received and some other new features, but...
I've uploaded the current status for you, maybe dvd-reading is broken on some systems, but the annoying language bug is fixed.

I've got much to do now (work, etc) and this is the moment where the OSS-thing become important.
I've got space for a website and a CVS at sourceforge, maybe somebody could help me to set these things up? And maybe we could continue developing KVideoEncoder together.

Changes (0.09beta2):
===================
- Added support for UTF-8
- Language bug fixed

Changes (0.08):
==================
* 1 Bugfix
* Some minor improvements (thanks to Алексей Кузнецов)
* Crop filter added
* Translations updated
* Czech translation (thanks to Robert Stodulka)

Changes (rc2):
===================
* file encoding repaired (mencoder).

Changes (rc1):
===================
* Nine bugfixes, including:
- #25: DVD-ripping repaired (mencoder).
- #26: MPEG-Encoding should work with the new versions of mencoder.
- #29-31: Some crashes fixed.
- #32: Xvid multipass encoding repaired (mencoder).
- #34: No crash if your PC/notebook doesn't have any IDE devices.
* Audio PCM encoding
* Error handling (mencoder)
* Some design improvements
* Some improvements related to the configure script and the makefile.
* transcode improvements
* New Tool: FLV2MPEG

==========================
Please note that transcode may not work when you try it. The problem is, that - for example - you've round about five different ways to encode an MPEG file; which one the right for is depends on your transcode installation and the installed modules.
KVideoEncoder must deal with this problems but that doesn't work very good at the moment. I'm working on it and I hope that you can help me (write comments, etc).

product-maker unikum111 Dec 29 2011

product-maker 58 261

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.08
updated Sep 12 2007
added Nov 15 2005
downloads today
0
page views today 0